ViewManager (Resource Management Portlet Common IS Operations Support Library 1.0.0-SNAPSHOT API)
Date: 2012-12-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.managers.resources
Class ViewManager

    java.lang.Object
      org.gcube.resourcemanagement.support.managers.resources.AbstractResourceManager
          org.gcube.resourcemanagement.support.managers.resources.ViewManager

    public class ViewManager

extends AbstractResourceManager

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`ViewManager()` Deprecated. discouraged use. With no ID some operations cannot be accessed.
`ViewManager(String id)`
`ViewManager(String id, String name)`
`ViewManager(String id, String name, String subtype)`

Method Summary
`protected org.gcube.common.core.resources.GCUBEResource` | `buildGCUBEResource(String xmlRepresentation)` Given the XML profile representation of a gcube resource, its GCUBEResource is built.

Methods inherited from class org.gcube.resourcemanagement.support.managers.resources.AbstractResourceManager
`addToExistingScope, copyFromToVO, delete, forceDelete, getGCUBEResource, getID, getISClient, getISPublisher, getName, getReportResourceManager, getResourceManager, getResourceManagers, getResourceReportManagers, getSecurityManager, getSubType, getType, getXMLDescription, removeFromScope, setID, setSecurityManager, validateScopes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewManager

    public ViewManager()
                throws ResourceParameterException,
                       ResourceAccessException

  Deprecated. discouraged use. With no ID some operations cannot be accessed.

  Throws:
    `ResourceParameterException`
    `ResourceAccessException`

### ViewManager

    public ViewManager(String id)
                throws ResourceParameterException,
                       ResourceAccessException

Throws:
  `ResourceParameterException`
  `ResourceAccessException`

### ViewManager

    public ViewManager(String id,
                       String name)
                throws ResourceParameterException,
                       ResourceAccessException

Parameters:
  `id` -
  `name` -
  `type` -
Throws:
  `ResourceParameterException`
  `ResourceAccessException`

### ViewManager

    public ViewManager(String id,
                       String name,
                       String subtype)
                throws ResourceParameterException,
                       ResourceAccessException

Parameters:
  `id` -
  `name` -
  `type` -
  `subtype` -
Throws:
  `ResourceParameterException`
  `ResourceAccessException`

Method Detail

### buildGCUBEResource

    protected final org.gcube.common.core.resources.GCUBEResource buildGCUBEResource(String xmlRepresentation)
                                                                              throws AbstractResourceException

  Description copied from class: `AbstractResourceManager`
  Given the XML profile representation of a gcube resource, its GCUBEResource is built. Since it depends on the type of the resource, each concrete implementation of resource managers must implement it.

  Specified by:
    `buildGCUBEResource` in class `AbstractResourceManager`
  Returns:
  Throws:
    `AbstractResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.